SSL Error - Scheduler

I’m getting this error trying to execute cron jobs on the scheduler. Also i get it when i try to import a zato-export.yml using enmasse.

2022-01-06 21:56:12,003 DEBG 'server1' stdout output:
2022-01-06 21:56:12,003 - WARNING - 213:DummyThread-99 - zato.broker.client:0 - Traceback (most recent call last):
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 382, in _make_request
    self._validate_conn(conn)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 1010, in _validate_conn
    conn.connect()
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connection.py", line 416, in connect
    self.sock = ssl_wrap_socket(
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/util/ssl_.py", line 453, in ssl_wrap_socket
    ssl_sock = _ssl_wrap_socket_impl(sock, context, tls_in_tls)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/util/ssl_.py", line 495, in _ssl_wrap_socket_impl
    return ssl_context.wrap_socket(sock)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/gevent/_ssl3.py", line 113, in wrap_socket
    return self.sslsocket_class(
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/gevent/_ssl3.py", line 311, in __init__
    raise x
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/gevent/_ssl3.py", line 307, in __init__
    self.do_handshake()
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/gevent/_ssl3.py", line 663, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLEOFError: EOF occurred in violation of protocol (_ssl.c:1131)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 755, in urlopen
    retries = retries.increment(
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/util/retry.py", line 574, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='127.0.0.1', port=31530): Max retries exceeded with url: / (Caused by SSLError(SSLEOFError(8, 'EOF occurred in violation of protocol (_ssl.c:1131)')))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/zato/3.2.0/code/zato-broker/src/zato/broker/client.py", line 125, in _rpc_invoke
    self._invoke_scheduler_from_server(msg)
  File "/opt/zato/3.2.0/code/zato-broker/src/zato/broker/client.py", line 105, in _invoke_scheduler_from_server
    requests_post(self.scheduler_url, msg, verify=False)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/api.py", line 117, in post
    return request('post', url, data=data, json=json, **kwargs)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/sessions.py", line 658, in send
    r = adapter.send(request, **kwargs)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/adapters.py", line 514, in send
    raise SSLError(e, request=request)
requests.exceptions.SSLError: HTTPSConnectionPool(host='127.0.0.1', port=31530): Max retries exceeded with url: / (Caused by SSLError(SSLEOFError(8, 'EOF occurred in violation of protocol (_ssl.c:1131)')))

I’m using zato on docker.

Hello,

about the scheduler - there is a new image available, please try it out.

About enmasse, I am not sure what you mean by “getting an error”. Please provide complete details.

Regards.

Hello,

Thanks for answering, I tried the new image but i still getting an error, this time is different.

2022-01-09 02:17:19,782 DEBG 'server1' stdout output:
2022-01-09 02:17:19,782 - WARNING - 208:DummyThread-57 - zato.broker.client:0 - Traceback (most recent call last):
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 445, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 440, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.8/http/client.py", line 1348, in getresponse
    response.begin()
  File "/usr/lib/python3.8/http/client.py", line 316, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.8/http/client.py", line 298, in _read_status
    raise BadStatusLine(line)
http.client.BadStatusLine: Internal Server Error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 755, in urlopen
    retries = retries.increment(
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/util/retry.py", line 532, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/packages/six.py", line 769, in reraise
    raise value.with_traceback(tb)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 445, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/urllib3/connectionpool.py", line 440, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.8/http/client.py", line 1348, in getresponse
    response.begin()
  File "/usr/lib/python3.8/http/client.py", line 316, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.8/http/client.py", line 298, in _read_status
    raise BadStatusLine(line)
urllib3.exceptions.ProtocolError: ('Connection aborted.', BadStatusLine('Internal Server Error'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/zato/3.2.0/code/zato-broker/src/zato/broker/client.py", line 125, in _rpc_invoke
    self._invoke_scheduler_from_server(msg)
  File "/opt/zato/3.2.0/code/zato-broker/src/zato/broker/client.py", line 105, in _invoke_scheduler_from_server
    requests_post(self.scheduler_url, msg, verify=False)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/api.py", line 117, in post
    return request('post', url, data=data, json=json, **kwargs)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/sessions.py", line 658, in send
    r = adapter.send(request, **kwargs)
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/requests/adapters.py", line 498, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', BadStatusLine('Internal Server Error'))

Thanks a lot for your help!

Can you check the latest image that I have published?

Also, whenever you submit any such matter, please always include all the details and context. Each time, make sure to state what the output from zato --version is, e.g.

$ zato --version
Zato 3.2+rev.41ca89c27-py3.8.0-ubuntu.18.04-bionic
$

I just tried the new version of the image and it is working! Thank you very much for the help! Amazing tool and support!